
<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <mb-button nz-button mbButtonSize='LARGE' mbButtonAvailableStyle='PRIMARY' (click)="showModalInterviewConfirm(true)"
             mbButtonText="{{ 'development.interview-config.buttonAction.confirm' | translate }}">
  </mb-button>
  <mb-button nz-button mbButtonSize='LARGE' mbButtonAvailableStyle='BORDER' (click)="showModalInterviewConfirm(false)"
             mbButtonText="{{ 'development.interview-config.buttonAction.refusedToConfirm' | translate }}">
  </mb-button>
</div>
<nz-card class="search-interview">
  <form nz-form>
    <div nz-row [nzGutter]="[16, 16]">
      <div nz-col class="gutter-row" nzLg="6">
        <span class="search-interview__rangeDateTitle">{{
          'development.interview-config.colTable.boardCode' | translate
          }}</span>
        <mb-input-text
          mbInputType="text"
          mbPlaceholderText="{{ 'development.interview-config.colTable.boardCode' | translate }}"
          [(ngModel)]="params.boardCode"
          [ngModelOptions]="{standalone: true}"
        ></mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <span class="search-interview__rangeDateTitle">{{
          'development.interview-config.formSearch.interviewSendDate' | translate
        }}</span>
        <nz-range-picker
          [ngModelOptions]="{standalone: true}"
          [(ngModel)]="params.rangeDate"
          class="search-interview__rangeDate"
          nzFormat="dd/MM/yyyy"
          [nzPlaceHolder]="['dd/mm/yyyy', 'dd/mm/yyyy']"
        ></nz-range-picker>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.interviewStatus"
          [ngModelOptions]="{standalone: true}"
          [mbDataSelects]="dataCommonBranch.listStatus"
          mbKeyLabel="name"
          mbKeyValue="code"
          mbLabelText="{{ 'development.interview-config.colTable.interviewProcessingStatus' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.interviewProcessingStatus' | translate }}"
        ></mb-select>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeCode"
          [ngModelOptions]="{standalone: true}"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.interview-config.colTable.codeEmployee' | translate }}"
          mbPlaceholderText="{{ 'development.interview-config.colTable.codeEmployee' | translate }}"
        >
        </mb-input-text>
      </div>
    </div>
    <div nz-row [nzGutter]="[16, 8]" *ngIf="!isExpand">

      <div nz-col class="gutter-row" nzLg="6">
        <mb-input-text
          [(ngModel)]="params.employeeName"
          [ngModelOptions]="{standalone: true}"
          [mbMaxLength]="20"
          mbLabelText="{{ 'development.interview-config.colTable.nameEmployee' | translate }}"
          mbPlaceholderText="{{ 'development.interview-config.colTable.nameEmployee' | translate }}"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.currentUnit"
          [ngModelOptions]="{standalone: true}"
          mbLabelText="{{ 'development.interview-config.colTable.unit' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.unit' | translate }}"
        >
        </mb-select-unit>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.currentTitle"
          [ngModelOptions]="{standalone: true}"
          [mbDataSelects]="dataCommonBranch.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          mbLabelText="{{ 'development.interview-config.colTable.title' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.title' | translate }}"
        ></mb-select>
      </div>

      <div nz-col class="gutter-row" nzLg="6">
        <mb-select-unit
          [(ngModel)]="params.proposeUnit"
          [ngModelOptions]="{standalone: true}"
          mbLabelText="{{ 'development.interview-config.colTable.proposeUnit' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.proposeUnit' | translate }}"
        >
        </mb-select-unit>
      </div>
      <div nz-col class="gutter-row" nzLg="6">
        <mb-select
          [(ngModel)]="params.proposeTitle"
          [ngModelOptions]="{standalone: true}"
          [mbDataSelects]="dataCommonBranch.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          mbLabelText="{{ 'development.interview-config.colTable.proposeTitle' | translate }}"
          mbPlaceholder="{{ 'development.interview-config.colTable.proposeTitle' | translate }}"
        >
        </mb-select>
      </div>
    </div>
  </form>

  <div nz-row [nzGutter]="12" class="search-interview__btnGroup">
    <div nz-col nzLg="9"></div>
    <div nz-col nzLg="6">
      <mb-button mbButtonSize="LARGE" (click)="search(1)" [disabled]="isLoading"
                 mbButtonText="{{ 'development.interview-config.buttonAction.search' | translate }}"
                 mbButtonAvailableStyle='CUSTOM'>
      </mb-button>
      <mb-button mbButtonAvailableStyle='BORDER' class="expand-btn" mbButtonSize="LARGE" (click)="expandSearch()">
        <span>
          <em nz-icon [nzType]="iconStatus"></em>
        </span>
      </mb-button>

      <mb-button
        mbButtonAvailableStyle='BORDER'
        mbButtonSize="LARGE"
        (click)="exportExcel()"
        [disabled]="isLoading"
      >
        <img src="assets/images/icon/excel.svg" alt="" />
      </mb-button>
    </div>
    <div nz-col nzLg="9"></div>
  </div>
</nz-card>

<mb-table-wrap [mbTitle]="''" [extra]="false">
  <mb-table
    (changePageNum)="search($event)"
    [tableConfig]="tableConfig"
    [tableData]="dataTable"
    [heightTable]="heightTable"
  >
  </mb-table>
</mb-table-wrap>



<ng-template #groupCBHeaderTmpl let-interviewId="interviewId">
  <label
    nz-checkbox
    [nzChecked]="checked"
    (nzCheckedChange)="onAllChecked($event)"
  >
  </label>
</ng-template>

<ng-template #groupCBTmpl let-interviewId="interviewId" let-interviewStatus="interviewStatus">
  <label
    nz-checkbox
    [nzChecked]="quantityMap.has(interviewId!)"
    (nzCheckedChange)="onItemChecked(interviewId, $event)"
    *ngIf="interviewStatus === viewCheckBoxInterviewConfirm"
  >
  </label>
</ng-template>

<ng-template #interviewResultDescriptionTmpl let-interviewResultDescription="interviewResultDescription">
  <nz-tag
  [nzColor]="displayInterviewResult(interviewResultDescription)"
  class="interviewResult"
  *ngIf="interviewResultDescription"
>
  {{ interviewResultDescription || '---' }}
</nz-tag>
</ng-template>


<ng-template #birthdayTmpl let-birthDay="birthDay">
  {{ birthDay | date: 'dd/MM/yyyy' }}
</ng-template>



